From 2cabd0a8a37b79f4ad4c9f7648e71921d3640e70 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 25 2020 05:16:26 +0000
Subject: [PATCH 1515/2232] Set needs_indirect_abi for Array


Otherwise:

    warning: `extern` fn uses type `[u8; 3]`, which is not FFI-safe
     --> src/main.rs:8:21
      |
    8 |         fn arr() -> [u8; 3];
      |                     ^^^^^^^ not FFI-safe
      |
      = note: `#[warn(improper_ctypes_definitions)]` on by default
      = help: consider passing a pointer to the array
      = note: passing raw arrays by value is not FFI-safe

---

diff --git a/syntax/types.rs b/syntax/types.rs
index 6df3ca6..d59bce0 100644
--- a/syntax/types.rs
+++ b/syntax/types.rs
@@ -254,7 +254,7 @@ impl<'a> Types<'a> {
                     Atom::from(&ident.rust) == Some(RustString)
                 }
             }
-            Type::RustVec(_) => true,
+            Type::RustVec(_) | Type::Array(_) => true,
             _ => false,
         }
     }

